CREATE GRAIN flute VERSION '1.00';

-- *** TABLES ***
/**Таблица задач для флейты в CRON-режиме*/
CREATE TABLE crontasks(
  id INT NOT NULL IDENTITY,
  cronschedule VARCHAR(250) NOT NULL,
  script VARCHAR(250) NOT NULL,
  disabled BIT NOT NULL DEFAULT 'FALSE',
  CONSTRAINT pk_crontasks PRIMARY KEY (id)
) WITH NO VERSION CHECK;

/**Таблица задач*/
CREATE TABLE tasks(
  id INT NOT NULL IDENTITY,
  previd INT NOT NULL DEFAULT 0,
  script VARCHAR(250) NOT NULL,
  parameters TEXT,
  status INT NOT NULL DEFAULT 0,
  result BLOB,
  errortext TEXT,
  datecreated DATETIME DEFAULT GETDATE(),
  uid VARCHAR(36),
  request_id VARCHAR(36),
  jasper_form TEXT,
  user TEXT,
  sid TEXT,
  version INT,
  CONSTRAINT pk_tasks PRIMARY KEY (id)
) WITH NO VERSION CHECK;

-- *** FOREIGN KEYS ***
-- *** INDICES ***
CREATE INDEX idxtasks ON tasks(uid, status);
-- *** VIEWS ***
